package dict

import (
	"blazing/cool"

	_ "blazing/modules/dict/packed"

	"github.com/gogf/gf/v2/os/gctx"

	_ "blazing/modules/dict/controller"
	"blazing/modules/dict/model"
)

func init() {
	var (
		ctx = gctx.GetInitCtx()
	)
	cool.Loger.Debug(ctx, "module dict init start ...")
	cool.FillInitData(ctx, "dict", &model.DictInfo{}, nil)
	cool.FillInitData(ctx, "dict", &model.DictType{}, nil)
	cool.Loger.Debug(ctx, "module dict init finished ...")
}
